GET
List audit logs
Query Params
-
allTokensbooleanWhether to include all tokens -
dateGtestringDate greater than or equal to -
dateLtstringDate less than -
enterpriseIdstringThe enterprise ID to filter by -
includeV1booleanWhether to include v1 audit logs -
limitstring numberLimit the number of results -
prevIdstringThe ID of the previous audit log -
typestring or array of stringsThe types of audit log to filter by -
userIdstringThe user ID to filter by -
walletIdstringThe wallet ID to filter by -
sharedPolicyRuleIdstringThe shared policy rule ID to filter by -
vaspIdstringThe VASPs ID to filter by -
coinstring or array of stringsThe coin(s) to filter by
Responses
200
OK
Response Body
object
-
logsarray of objects requiredlogs object
-
idstring required -
typestring required -
isBitGoAdminActionboolean requiredIndicates whether the action was performed by a BitGo admin -
ipstring ipv4The client IP that caused the AuditLog entry to be written -
userstringThe user that caused the AuditLog entry to be written -
requestIdstring -
walletIdstring -
enterpriseIdstring -
organizationIdstring -
coinstringA cryptocurrency symbol or token ticker symbol -
dataobjectProperties that apply to the given audit log type -
datestring date-time
-
-
coinstringA cryptocurrency symbol or token ticker symbol -
nextBatchPrevIdstringWhen a result set is truncated, this field returns the id of the last object in the previous batch. To get the next batch of results, pass this value via the 'prevId' query parameter.